OpenQuiz Wiki
APIPackages

Get packages

Get all published packages.

GET
/pkgs

Get all published packages.

Query Parameters

q?string

Search query, by package name or description

collection?string

Filter by collection slug (e.g., 'popular')

difficulty?array<unknown|unknown|unknown>

Filter by difficulty

authors?array<string>

Filter by author ids (matches any)

categories?array<string>

Filter by category ids (matches any)

userDrafts?boolean

Filter only current user drafts

userFavorites?boolean

Filter only current user favorites

createdAtFrom?unknown

Filter by packages created at from

createdAtTo?unknown

Filter by packages created at to

cursor?string

Pagination cursor (last item id)

cursorOrder?string

Pagination cursor order value

take?number

Number of packages to take

orderDirection?|

Order direction

orderBy?|||

Order by

Response Body

application/json

curl -X GET "https://example.com/pkgs"
{  "data": [    {      "id": "string",      "type": null,      "settings": null,      "card": null,      "difficulty": null,      "rating": 0,      "ratingsCount": null,      "playCount": null,      "explicit": true,      "verified": true,      "meta": {        "size": {          "text": 0,          "audio": 0,          "video": 0,          "images": 0        },        "starts": 0,        "duration": null      },      "series": null,      "user": {        "id": "string",        "username": "string",        "realname": null,        "image": null,        "about": null,        "verified": true,        "banned": true,        "anonymous": true,        "socialLinks": null,        "membership": {          "discord": true        },        "banner": null,        "pkgCount": 0,        "createdAt": "string"      },      "userId": "string",      "publishedVersionId": null,      "createdAt": "2019-08-24T14:15:22Z",      "locales": [        "string"      ],      "name": "string",      "description": null,      "image": null,      "categories": null    }  ],  "total": 0}